Bug 10079 - Add X11 session script to gbus-tools-gui
: Add X11 session script to gbus-tools-gui
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/dbus-tools-gui)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
: 9625
  Show dependency tree
 
Reported: 2006-10-03 10:48 by
Modified: 2007-10-06 17:20 (History)


Attachments
/etc/X11/profile.d/dbus-daemon.sh (195 bytes, text/plain)
2006-10-03 10:48, Sir Raorn
no flags Details
/etc/X11/profile.d/dbus-daemon.sh (258 bytes, text/plain)
2006-12-13 18:27, Alexey Morozov
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-10-03 10:48:10
При старте X надо запускать dbus-daemon (session bus) чтобы нормально работали
всякие KDE/GNOME.  Надо положить в пакет файл приаттаченого содержания.

Также рекомендуется перенести dbus-launch поближе к dbus-daemon.
------- Comment #1 From 2006-10-03 10:48:45 -------
Created an attachment (id=1650) [details]
/etc/X11/profile.d/dbus-daemon.sh
------- Comment #2 From 2006-10-03 19:12:06 -------
dbus-launch зависит от libX11
Я не вижу смысла.
Пусть лучше пакет, которому надо, зависит от dbus-tools-gui, в котором 
будет /etc/X11/profile.d/dbus-daemon.sh

------- Comment #3 From 2006-10-03 20:30:29 -------
(In reply to comment #2)
> dbus-launch зависит от libX11
Не подумал.  Согласен.
------- Comment #4 From 2006-10-03 20:34:15 -------
А еще, я не знаю, надо ли запускать для каждых X-сессии по dbus-демону?
------- Comment #5 From 2006-10-03 20:53:34 -------
Надо.  Модные DE (и не только DE) теперь работают через dbus, но не все умеют
его правильно запускать.  Скажем так - GNOME я в воскресенье смог запустить
только после того как подложил в систему этот файл.

К тому же в этом скрипте выставляются переменные окружения для последующего
доступа к этой session шине, надо это делать как можно раньше.
------- Comment #6 From 2006-10-03 20:58:54 -------
(In reply to comment #5)
> К тому же в этом скрипте выставляются переменные окружения для последующего
> доступа к этой session шине, надо это делать как можно раньше.

Я то думаю, что у меня за напасть такая, dbus системный работает, а
пользовательский нет. :(
------- Comment #7 From 2006-10-03 21:50:33 -------
(In reply to comment #5)
> К тому же в этом скрипте выставляются переменные окружения для последующего
> доступа к этой session шине, надо это делать как можно раньше.

Только надо на всякий случай добавить после eval ещё

export DBUS_SESSION_BUS_ADDRESS DBUS_SESSION_BUS_PID

ssh-agent это делает, dbus-launch - нет.
------- Comment #8 From 2006-10-23 22:28:11 -------
Дополнение: в данный момент X-сессия, запущенная из GDM, не отрабатывает
скрипты
из /etc/X11/profile.d/ . Это баг апстрима GDM или мы новаторствуем с
/etc/X11/profile.d/ ?
------- Comment #9 From 2006-10-24 12:58:36 -------
А еще, вполне возможно, что среды вроде KDE будут сами запускать/выполнять 
функционал dbus-launch
Пока точно не известно
------- Comment #10 From 2006-12-13 18:27:52 -------
Created an attachment (id=1707) [details]
/etc/X11/profile.d/dbus-daemon.sh

Чуть-чуть поправленная версия.
------- Comment #11 From 2006-12-13 18:35:53 -------
На маинтейнера
------- Comment #12 From 2006-12-13 18:41:13 -------
Так, я думаю, в начале я просто отправлю свежий dbus на сборку, а дальше после
обновления посмотрю, и если надо добавлю скрипт из аттачей в сборку. У меня
такое ощущение что в свежем dbus такое не надо. Хотя я не уверен.
------- Comment #13 From 2007-01-09 02:20:40 -------
re
------- Comment #14 From 2007-01-09 10:06:52 -------
Этот баг теперь некому исправлять, или в новом dbus он таки неактуален?
------- Comment #15 From 2007-02-24 15:06:26 -------
Баг ещё актуален.  Кто чинить будет?
------- Comment #16 From 2007-02-24 15:13:02 -------
(In reply to comment #8)
> Дополнение: в данный момент X-сессия, запущенная из GDM, не отрабатывает скрипты
> из /etc/X11/profile.d/ . Это баг апстрима GDM или мы новаторствуем с
> /etc/X11/profile.d/ ?

$ grep -rA5 /etc/X11/profile.d /etc/X11 
/etc/X11/Xsession:# Source shell scripts from system /etc/X11/profile.d/
/etc/X11/Xsession:for f in /etc/X11/profile.d/*.sh; do
/etc/X11/Xsession-      # Don't run *.rpm* and *~ scripts
/etc/X11/Xsession-      [ "${f%.rpm*}" == "$f" -a "${f%\~}" == "$f" ] || continue
/etc/X11/Xsession-
/etc/X11/Xsession-      SourceIfNotEmpty "$f" "$@"
/etc/X11/Xsession-done

А как GDM вобще работает тогда?
------- Comment #17 From 2007-02-24 18:54:17 -------
Теперь уже нормально, поскольку в GDM стартовые скрипты поправили.
------- Comment #18 From 2007-02-26 01:24:40 -------
(In reply to comment #15)
> Баг ещё актуален.  Кто чинить будет?

test-case нужен. тогда я постараюсь поправить.
------- Comment #19 From 2007-02-26 01:57:17 -------
(In reply to comment #18)
> test-case нужен. тогда я постараюсь поправить.

Какой нафиг testcase?  Перечитай тред.
------- Comment #20 From 2007-04-09 19:34:22 -------
ну так чо, имеет смысл ожидать это в пакете или стоит городить локальные
велосипеды?

ну и reassign на icesik до кучи
------- Comment #21 From 2007-04-27 21:16:11 -------
fixed in dbus-1.0.2-alt3